Sääasemaohjelmat > WeeWX

historiatiedot WU palvelusta

<< < (2/3) > >>

iccb:
Koita vaikka pilkkoa tuosta mysql datasta vuosi tai kuukausi kerrallaan data vaikka omaan tiedostoon ja tuoda sitä kautta palasissa. Tarkista vielä että että toi import-conffi on varmasti oikein.
Ei itselleni ainakaan oikein aukea noi virhesanomat, että missä se vika varmasti on.
Melkein laittaisin noita virheilmoituksia weewx:n tukifoorumille google groupsiin. Linkki löytyy weewx:n etusivulta...

weatherc:
Mitä virheitä se herjaa jos käytät mysqliä datana? Sitä kun olis ehkä helpointa muokata tarvittaessa PHPMyAdminilla ennen kun ottaa sen.
Komppaan tuota että koita palanen kerrallas eli vaikka kuukausi kerrallas.

Nummika:
Pitää viikonloppuna kokeilla ehtiä testata tuota pilkkomista.

Mitä tämä errori meinaa, taitaa tulla aina:

--- Koodia: ---FileNotFoundError: [Errno 2] No such file or directory: '/var/crash/_usr_share_weewx_wee_import.1000.crash'
--- Koodi päättyy ---
Jotain tiedostoa ei ole?

Samaa herjaa tulee WUsta   wee_import --import-config=/var/tmp/wu.conf --from=2019-01-20T22:30 --to=2020-10-06T06:00
Latasi kaikki mutta ei onnistunu


--- Koodia: ---[  File "/usr/share/weewx/weedb/sqlite.py", line 29, in guarded_fn
    return fn(*args, **kwargs)
  File "/usr/share/weewx/weedb/sqlite.py", line 211, in execute
    return sqlite3.Cursor.execute(self, *args, **kwargs)
sqlite3.OperationalError: attempt to write a readonly database

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/share/weewx/wee_import", line 900, in <module>
    main()
  File "/usr/share/weewx/wee_import", line 830, in main
    source_obj.run()
  File "/usr/share/weewx/weeimport/weeimport.py", line 431, in run
    self.dbm._write_metadata('lastUpdate', str(int(new_last_update)))
  File "/usr/share/weewx/weewx/manager.py", line 1182, in _write_metadata
    _cursor.execute(DaySummaryManager.meta_replace_str % self.table_name,
  File "/usr/share/weewx/weedb/sqlite.py", line 43, in guarded_fn
    raise weedb.OperationalError(e)
weedb.OperationalError: attempt to write a readonly database
Error in sys.excepthook:
Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/apport_python_hook.py", line 153, in apport_excepthook
    with os.fdopen(os.open(pr_filename,
FileNotFoundError: [Errno 2] No such file or directory: '/var/crash/_usr_share_weewx_wee_import.1000.crash'

Original exception was:
Traceback (most recent call last):
  File "/usr/share/weewx/weedb/sqlite.py", line 29, in guarded_fn
    return fn(*args, **kwargs)
  File "/usr/share/weewx/weedb/sqlite.py", line 211, in execute
    return sqlite3.Cursor.execute(self, *args, **kwargs)
sqlite3.OperationalError: attempt to write a readonly database

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/share/weewx/wee_import", line 900, in <module>
    main()
  File "/usr/share/weewx/wee_import", line 830, in main
    source_obj.run()
  File "/usr/share/weewx/weeimport/weeimport.py", line 431, in run
    self.dbm._write_metadata('lastUpdate', str(int(new_last_update)))
  File "/usr/share/weewx/weewx/manager.py", line 1182, in _write_metadata
    _cursor.execute(DaySummaryManager.meta_replace_str % self.table_name,
  File "/usr/share/weewx/weedb/sqlite.py", line 43, in guarded_fn
    raise weedb.OperationalError(e)
weedb.OperationalError: attempt to write a readonly database
/code]
--- Koodi päättyy ---

iccb:
Onko weewx:n oikeudet varmasti kunnossa? Tuleeko wu:sta herja jos koitat vaikka vaan viikon ladata dataa?
Mikä distro käytössä?

weatherc:
Koita ajaa noita ja weewx:ää yleensä roottina/sudo:lla.

Navigaatio

[0] Viestien etusivu

[#] Seuraava sivu

[*] Edellinen sivu

Siirry pois tekstitilasta